> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Client Reference



## OpenAPI

````yaml post /client_reference
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference:
    post:
      tags:
        - default
      summary: Create Client Reference
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                client_reference:
                  type: string
                  description: >-
                    This must be unique to your client, otherwise we return an
                    error. The response will contain the client_reference_id
                    which is used in later calls.
                date_damage:
                  type: string
                  description: >-
                    Date of damage in YYYY-MM-DD format. This date cannot be
                    greater than today.
              required:
                - client_reference
            example:
              client_reference: Reference 321
              date_damage: '2025-11-13'
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 09:10:05 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '66'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: 93bb1e26-0d81-4d82-8ada-f40b10eabb50
          content:
            application/json:
              schema:
                type: object
                properties:
                  client_reference_id:
                    type: integer
                  client_reference:
                    type: string
                  client_id:
                    type: integer
                    description: >-
                      The client ID for the request. It's required if you have
                      access to multiple clients with your API key. Otherwise,
                      it's optional.
                  session-id:
                    type: string
                    description: Optional session identifier of the user.
              example:
                client_reference_id: 9337
                client_reference: Reference 321
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  description:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Missing parameter
                description: The "client_reference" parameter is required.
                event_code: ERMPCR
                event_dict:
                  event_severity: ERROR
                  title: Missing parameter
                  description: The client_reference parameter is required.
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````